summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD9
2 files changed, 5 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index bf5f05107c5..acc64ad2c44 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = brother-mfc-9460cdn
pkgdesc = LPR and CUPS driver for the Brother MFC-9460CDN
pkgver = 1.1.1
- pkgrel = 1
+ pkgrel = 2
url = http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html
install = brother-mfc-9460cdn.install
arch = i686
diff --git a/PKGBUILD b/PKGBUILD
index 7f3ee1f31f8..ff66efa6892 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@
_model="9460cdn"
pkgname="brother-mfc-$_model"
pkgver="1.1.1"
-pkgrel=1
+pkgrel=2
pkgdesc="LPR and CUPS driver for the Brother MFC-9460CDN"
arch=('i686' 'x86_64')
url="http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html"
@@ -18,10 +18,10 @@ _revision=5
source=("http://www.brother.com/pub/bsc/linux/dlf/mfc${_model}lpr-${pkgver}-${_revision}.i386.deb"
"http://www.brother.com/pub/bsc/linux/dlf/mfc${_model}cupswrapper-${pkgver}-${_revision}.i386.deb")
-
md5sums=('5c6e7ca447ee3c9d135d9fa9f2a2a469'
'7d6449e7cc163e5ccc6b83d34af46743')
+
build() {
deb2targz *.deb >/dev/null || return 1
rm -f *.deb || return 1
@@ -29,12 +29,11 @@ build() {
[ -d "mfc${_model}" ] || (mkdir mfc${_model} || return 1)
for i in *.tar.gz;do tar xfz $i -C mfc${_model};done || return 1
cd mfc${_model} || return 1
- cd opt/brother/Printers/mfc${_model} || return 1
+ cd usr/local/Brother/Printer/mfc${_model} || return 1
perl -i -pe 's#/etc/init.d#/etc/rc.d#g' ./cupswrapper/cupswrappermfc${_model} || return 1
- perl -i -pe 's#printcap\.local#printcap#g' $srcdir/mfc${_model}/opt/brother/Printers/mfc${_model}/inf/setupPrintcapij || return 1
+ perl -i -pe 's#printcap\.local#printcap#g' $srcdir/mfc${_model}/usr/local/Brother/Printer/mfc${_model}/inf/setupPrintcapij || return 1
}
package() {
cp -rf $srcdir/mfc${_model}/usr/ $pkgdir/ || return 1
- cp -rf $srcdir/mfc${_model}/opt/ $pkgdir/ || return 1
}